aboutsummaryrefslogtreecommitdiffstats
path: root/tests/ci/experimental.sh
diff options
context:
space:
mode:
authorYujun Zhang <zhang.yujunz@zte.com.cn>2017-08-24 17:07:50 +0800
committerYujun Zhang <zhang.yujunz@zte.com.cn>2017-08-26 02:24:07 +0000
commit9eb2005c087a6c064fd2880edd253028e3ea1513 (patch)
treef08671811e0c70e5c29173ea4ef4ea2aea37332b /tests/ci/experimental.sh
parent73f6ca735e00902f9b71a9110eb97c7b008d8e94 (diff)
Refactor storperf testing scripts into ansible role
Change-Id: Ifbfe0818a528dbd9b2c176acf39450ca480e931a Signed-off-by: Yujun Zhang <zhang.yujunz@zte.com.cn>
Diffstat (limited to 'tests/ci/experimental.sh')
-rw-r--r--tests/ci/experimental.sh35
1 files changed, 34 insertions, 1 deletions
diff --git a/tests/ci/experimental.sh b/tests/ci/experimental.sh
index 379e8602..3dd15d56 100644
--- a/tests/ci/experimental.sh
+++ b/tests/ci/experimental.sh
@@ -1,3 +1,36 @@
#!/usr/bin/env bash
+##############################################################################
+# Copyright (c) 2017 ZTE and others.
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
-source tests/ci/verify_storage.sh
+set -o errexit
+set -o pipefail
+set -o nounset
+set -x
+
+export DEPLOY_SCENARIO='generic'
+export DOCKER_TAG='latest'
+export CI_DEBUG='false'
+export TEST_SUITE='storage'
+export TESTAPI_URL=''
+
+export WORKSPACE=${WORKSPACE:-$(pwd)}
+
+script_dir="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
+qtip_repo='/home/opnfv/repos/qtip'
+
+source $script_dir/launch_containers_by_testsuite.sh
+
+container_id=$(docker ps | grep "opnfv/qtip:${DOCKER_TAG}" | awk '{print $1}' | head -1)
+
+echo "QTIP: Copying current submit patch to the container ${container_id}"
+cd $WORKSPACE
+docker cp . ${container_id}:${qtip_repo}
+docker exec ${container_id} bash -c "cd ${qtip_repo} && pip install -U -e ."
+docker exec -t ${container_id} bash -x ${qtip_repo}/tests/ci/run_${TEST_SUITE}_qpi.sh
+echo "QTIP: Verify ${TEST_SUITE} done!"
+exit 0